Index: src/libpspp/array.c
===================================================================
RCS file: /sources/pspp/pspp/src/libpspp/array.c,v
retrieving revision 1.3
diff -U3 -r1.3 array.c
--- src/libpspp/array.c	7 May 2006 10:11:51 -0000	1.3
+++ src/libpspp/array.c	4 Jul 2006 06:05:10 -0000
@@ -90,6 +90,8 @@
    02110-1301 USA.  */
 
 #include <config.h>
+#include <libpspp/Assert.h>
+
 #include "array.h"
 #include <gsl/gsl_rng.h>
 #include <limits.h>
@@ -97,13 +99,6 @@
 #include <string.h>
 #include "alloc.h"
 
-/* Some of the assertions in this file are very expensive.  We
-   don't use them by default. */
-#ifdef EXTRA_CHECKS
-#define expensive_assert(X) assert(X)
-#else
-#define expensive_assert(X) ((void) 0)
-#endif
 #include "message.h"
 
 /* Finds an element in ARRAY, which contains COUNT elements of
@@ -204,7 +199,7 @@
       first += size;
       if (first >= last) 
         {
-          assert (adjacent_find_equal (array, count,
+          Assert (adjacent_find_equal (array, count,
                                        size, compare, aux) == NULL);
           return count; 
         }
@@ -280,7 +275,7 @@
     }
 
  done:
-  assert (is_partitioned (array, count, size, nonzero_cnt, predicate, aux));
+  Assert (is_partitioned (array, count, size, nonzero_cnt, predicate, aux));
   return nonzero_cnt; 
 }
 
@@ -296,7 +291,7 @@
   const char *first = array;
   size_t idx;
 
-  assert (nonzero_cnt <= count);
+  Assert (nonzero_cnt <= count);
   for (idx = 0; idx < nonzero_cnt; idx++)
     if (predicate (first + idx * size, aux) == 0)
       return 0;
@@ -332,8 +327,8 @@
       input += size;
     }
 
-  assert (nonzero_cnt == count_if (array, count, size, predicate, aux));
-  assert (nonzero_cnt == count_if (result, nonzero_cnt, size, predicate, aux));
+  Assert (nonzero_cnt == count_if (array, count, size, predicate, aux));
+  Assert (nonzero_cnt == count_if (result, nonzero_cnt, size, predicate, aux));
 
   return nonzero_cnt;
 }
@@ -347,9 +342,9 @@
 {
   char *array = array_;
   
-  assert (array != NULL);
-  assert (idx <= count);
-  assert (idx + n <= count);
+  Assert (array != NULL);
+  Assert (idx <= count);
+  Assert (idx + n <= count);
 
   if (idx + n < count)
     memmove (array + idx * size, array + (idx + n) * size,
@@ -374,9 +369,9 @@
 move_element (void *array_, size_t count, size_t size,
               size_t old_idx, size_t new_idx) 
 {
-  assert (array_ != NULL || count == 0);
-  assert (old_idx < count);
-  assert (new_idx < count);
+  Assert (array_ != NULL || count == 0);
+  Assert (old_idx < count);
+  Assert (new_idx < count);
   
   if (old_idx != new_idx) 
     {
@@ -453,7 +448,7 @@
     }
 
  done:
-  assert (count_equal (array, count, size, element, compare, aux) == 0);
+  Assert (count_equal (array, count, size, element, compare, aux) == 0);
   return count;
 }
 
@@ -482,9 +477,9 @@
                void *value,
                algo_compare_func *compare, void *aux) 
 {
-  assert (array != NULL);
-  assert (count <= INT_MAX);
-  assert (compare != NULL);
+  Assert (array != NULL);
+  Assert (count <= INT_MAX);
+  Assert (compare != NULL);
 
   if (count != 0) 
     {
@@ -507,7 +502,7 @@
         }
     }
 
-  expensive_assert (find (array, count, size, value, compare, aux) == NULL);
+  ExpensiveAssert (find (array, count, size, value, compare, aux) == NULL);
   return NULL;
 }
 
@@ -753,7 +748,7 @@
       }
   }
 
-  assert (is_sorted (array, count, size, compare, aux));
+  Assert (is_sorted (array, count, size, compare, aux));
 }
 
 /* Tests whether ARRAY, which contains COUNT elements of SIZE
@@ -860,7 +855,7 @@
   char *first = array;
   size_t i;
   
-  expensive_assert (count < 1 || is_heap (array, count - 1,
+  ExpensiveAssert (count < 1 || is_heap (array, count - 1,
                                           size, compare, aux));
   for (i = count; i > 1; i /= 2) 
     {
@@ -871,7 +866,7 @@
       else
         break; 
     }
-  expensive_assert (is_heap (array, count, size, compare, aux));
+  ExpensiveAssert (is_heap (array, count, size, compare, aux));
 }
 
 /* ARRAY contains COUNT elements of SIZE bytes each.  Initially
@@ -922,10 +917,10 @@
 {
   char *first = array;
 
-  expensive_assert (is_heap (array, count, size, compare, aux));
+  ExpensiveAssert (is_heap (array, count, size, compare, aux));
   SWAP (first, first + (count - 1) * size, size);
   heapify (first, count - 1, size, 1, compare, aux);
-  expensive_assert (count < 1 || is_heap (array, count - 1,
+  ExpensiveAssert (count < 1 || is_heap (array, count - 1,
                                           size, compare, aux));
 }
 
@@ -940,7 +935,7 @@
   
   for (idx = count / 2; idx >= 1; idx--)
     heapify (array, count, size, idx, compare, aux);
-  expensive_assert (count < 1 || is_heap (array, count, size, compare, aux));
+  ExpensiveAssert (count < 1 || is_heap (array, count, size, compare, aux));
 }
 
 /* ARRAY contains COUNT elements of SIZE bytes each.  Initially
@@ -954,13 +949,13 @@
   char *first = array;
   size_t idx;
 
-  expensive_assert (is_heap (array, count, size, compare, aux));
+  ExpensiveAssert (is_heap (array, count, size, compare, aux));
   for (idx = count; idx >= 2; idx--)
     {
       SWAP (first, first + (idx - 1) * size, size);
       heapify (array, idx - 1, size, 1, compare, aux);
     }
-  expensive_assert (is_sorted (array, count, size, compare, aux));
+  ExpensiveAssert (is_sorted (array, count, size, compare, aux));
 }
 
 /* ARRAY contains COUNT elements of SIZE bytes each.  This
Index: src/libpspp/automake.mk
===================================================================
RCS file: /sources/pspp/pspp/src/libpspp/automake.mk,v
retrieving revision 1.12
diff -U3 -r1.12 automake.mk
--- src/libpspp/automake.mk	1 Jul 2006 22:34:27 -0000	1.12
+++ src/libpspp/automake.mk	4 Jul 2006 06:05:10 -0000
@@ -4,6 +4,7 @@
 noinst_LIBRARIES += src/libpspp/libpspp.a
 
 src_libpspp_libpspp_a_SOURCES = \
+	src/libpspp/Assert.h \
 	src/libpspp/array.c \
 	src/libpspp/array.h \
 	src/libpspp/alloc.c \
Index: src/libpspp/hash.c
===================================================================
RCS file: /sources/pspp/pspp/src/libpspp/hash.c,v
retrieving revision 1.5
diff -U3 -r1.5 hash.c
--- src/libpspp/hash.c	26 Jun 2006 05:37:53 -0000	1.5
+++ src/libpspp/hash.c	4 Jul 2006 06:05:10 -0000
@@ -20,7 +20,7 @@
 #include <config.h>
 #include "hash.h"
 #include "message.h"
-#include <assert.h>
+#include <libpspp/Assert.h>
 #include <ctype.h>
 #include <limits.h>
 #include <stdbool.h>
@@ -54,7 +54,7 @@
 static size_t
 next_power_of_2 (size_t x) 
 {
-  assert (x != 0);
+  Assert (x != 0);
 
   for (;;) 
     {
@@ -81,7 +81,7 @@
   const unsigned char *buf = (const unsigned char *) buf_;
   unsigned hash;
 
-  assert (buf != NULL);
+  Assert (buf != NULL);
 
   hash = FNV_32_BASIS;
   while (size-- > 0)
@@ -97,7 +97,7 @@
   const unsigned char *s = (const unsigned char *) s_;
   unsigned hash;
 
-  assert (s != NULL);
+  Assert (s != NULL);
 
   hash = FNV_32_BASIS;
   while (*s != '\0')
@@ -113,7 +113,7 @@
   const unsigned char *s = (const unsigned char *) s_;
   unsigned hash;
 
-  assert (s != NULL);
+  Assert (s != NULL);
 
   hash = FNV_32_BASIS;
   while (*s != '\0')
@@ -171,8 +171,8 @@
   struct hsh_table *h;
   int i;
 
-  assert (compare != NULL);
-  assert (hash != NULL);
+  Assert (compare != NULL);
+  Assert (hash != NULL);
   
   h = xmalloc (sizeof *h);
   h->used = 0;
@@ -198,7 +198,7 @@
 {
   int i;
 
-  assert (h != NULL);
+  Assert (h != NULL);
   if (h->free)
     for (i = 0; i < h->size; i++)
       if (h->entries[i] != NULL)
@@ -239,7 +239,7 @@
 {
   unsigned i = h->hash (target, h->aux);
 
-  assert (h->hash_ordered);
+  Assert (h->hash_ordered);
   for (;;)
     {
       void *entry;
@@ -259,7 +259,7 @@
 {
   unsigned i = h->hash (target, h->aux);
 
-  assert (h->hash_ordered);
+  Assert (h->hash_ordered);
   for (;;)
     {
       i &= h->size - 1;
@@ -278,11 +278,11 @@
   void **begin, **end, **table_p;
   int i;
 
-  assert (h != NULL);
-  assert (new_size >= h->used);
+  Assert (h != NULL);
+  Assert (new_size >= h->used);
 
   /* Verify that NEW_SIZE is a positive power of 2. */
-  assert (new_size > 0 && (new_size & (new_size - 1)) == 0);
+  Assert (new_size > 0 && (new_size & (new_size - 1)) == 0);
 
   begin = h->entries;
   end = begin + h->size;
@@ -337,9 +337,9 @@
 {
   size_t n;
 
-  assert (h != NULL);
+  Assert (h != NULL);
   n = partition (h->entries, h->size, sizeof *h->entries, not_null, NULL);
-  assert (n == h->used);
+  Assert (n == h->used);
 #ifndef NDEBUG
   h->hash_ordered = false;
 #endif
@@ -355,8 +355,8 @@
   void *const *b = b_;
   struct hsh_table *h = h_;
 
-  assert(a);
-  assert(b);
+  Assert (a);
+  Assert (b);
 
   return h->compare (*a, *b, h->aux);
 }
@@ -384,7 +384,7 @@
 void *const *
 hsh_sort (struct hsh_table *h)
 {
-  assert (h != NULL);
+  Assert (h != NULL);
 
   hsh_data (h);
   sort (h->entries, h->used, sizeof *h->entries, comparison_helper, h);
@@ -404,7 +404,7 @@
 {
   void **copy;
 
-  assert (h != NULL);
+  Assert (h != NULL);
   copy = xnmalloc ((h->used + 1), sizeof *copy);
   copy_if (h->entries, h->size, sizeof *h->entries, copy, not_null, NULL);
   copy[h->used] = NULL;
@@ -424,7 +424,7 @@
 {
   void **copy;
 
-  assert (h != NULL);
+  Assert (h != NULL);
   copy = hsh_data_copy (h);
   sort (copy, h->used, sizeof *copy, comparison_helper, h);
   return copy;
@@ -441,9 +441,9 @@
 {
   unsigned i;
   
-  assert (h != NULL);
-  assert (target != NULL);
-  assert (h->hash_ordered);
+  Assert (h != NULL);
+  Assert (target != NULL);
+  Assert (h->hash_ordered);
 
   if (h->used > h->size / 2)
     rehash (h, h->size * 2);
@@ -461,8 +461,8 @@
 {
   void **entry;
 
-  assert (h != NULL);
-  assert (target != NULL);
+  Assert (h != NULL);
+  Assert (target != NULL);
 
   entry = hsh_probe (h, target);
   if (*entry == NULL) 
@@ -542,8 +542,8 @@
 void *
 hsh_first (struct hsh_table *h, struct hsh_iterator *iter) 
 {
-  assert (h != NULL);
-  assert (iter != NULL);
+  Assert (h != NULL);
+  Assert (iter != NULL);
 
   iter->next = 0;
   return hsh_next (h, iter);
@@ -560,9 +560,9 @@
 {
   size_t i;
 
-  assert (h != NULL);
-  assert (iter != NULL);
-  assert (iter->next <= h->size);
+  Assert (h != NULL);
+  Assert (iter != NULL);
+  Assert (iter->next <= h->size);
 
   for (i = iter->next; i < h->size; i++)
     if (h->entries[i])
@@ -579,7 +579,7 @@
 size_t 
 hsh_count (struct hsh_table *h) 
 {
-  assert (h != NULL);
+  Assert (h != NULL);
   
   return h->used;
 }
@@ -611,7 +611,7 @@
 hsh_force_insert (struct hsh_table *h, void *p)
 {
   void **pp = hsh_probe (h, p);
-  assert (*pp == NULL);
+  Assert (*pp == NULL);
   *pp = p;
 }
 
@@ -622,7 +622,7 @@
 hsh_force_find (struct hsh_table *h, const void *target)
 {
   void *found = hsh_find (h, target);
-  assert (found != NULL);
+  Assert (found != NULL);
   return found;
 }
 
@@ -632,6 +632,6 @@
 hsh_force_delete (struct hsh_table *h, const void *target)
 {
   int found = hsh_delete (h, target);
-  assert (found != 0);
+  Assert (found != 0);
 }
 #endif
Index: src/libpspp/i18n.c
===================================================================
RCS file: /sources/pspp/pspp/src/libpspp/i18n.c,v
retrieving revision 1.3
diff -U3 -r1.3 i18n.c
--- src/libpspp/i18n.c	3 Jul 2006 01:38:24 -0000	1.3
+++ src/libpspp/i18n.c	4 Jul 2006 06:05:10 -0000
@@ -19,7 +19,7 @@
 
 #include <config.h>
 #include <xalloc.h>
-#include <assert.h>
+#include <libpspp/Assert.h>
 #include <stdlib.h>
 #include <stdio.h>
 #include <string.h>
@@ -82,7 +82,7 @@
   if ( length == -1 ) 
      length = strlen(text);
 
-  assert(how < n_CONV);
+  Assert (how < n_CONV);
 
   if (convertor[how] == (iconv_t) -1) 
     return xstrndup (text, length);
@@ -154,7 +154,7 @@
 const char *
 get_pspp_locale(void)
 {
-  assert ( locale);
+  Assert ( locale);
   return locale;
 }
 
@@ -185,7 +185,7 @@
 void
 i18n_init(void)
 {
-  assert ( ! locale) ;
+  Assert ( ! locale) ;
   locale = strdup(setlocale(LC_CTYPE, NULL));
 
   setlocale(LC_CTYPE, locale);
Index: src/libpspp/ll.c
===================================================================
RCS file: /sources/pspp/pspp/src/libpspp/ll.c,v
retrieving revision 1.1
diff -U3 -r1.1 ll.c
--- src/libpspp/ll.c	1 Jul 2006 22:34:27 -0000	1.1
+++ src/libpspp/ll.c	4 Jul 2006 06:05:10 -0000
@@ -32,7 +32,7 @@
 #endif
 
 #include <libpspp/ll.h>
-#include <assert.h>
+#include <libpspp/Assert.h>
 
 /* Returns the number of nodes in LIST (not counting the null
    node).  Executes in O(n) time in the length of the list. */
Index: src/libpspp/ll.h
===================================================================
RCS file: /sources/pspp/pspp/src/libpspp/ll.h,v
retrieving revision 1.1
diff -U3 -r1.1 ll.h
--- src/libpspp/ll.h	1 Jul 2006 22:34:27 -0000	1.1
+++ src/libpspp/ll.h	4 Jul 2006 06:05:10 -0000
@@ -50,7 +50,8 @@
 #ifndef LL_H
 #define LL_H
 
-#include <assert.h>
+#include <config.h>
+#include <libpspp/Assert.h>
 #include <stdbool.h>
 #include <stddef.h>
 
@@ -391,7 +392,7 @@
 ll_pop_head (struct ll_list *list)
 {
   struct ll *head;
-  assert (!ll_is_empty (list));
+  Assert (!ll_is_empty (list));
   head = ll_head (list);
   ll_remove (head);
   return head;
@@ -403,7 +404,7 @@
 ll_pop_tail (struct ll_list *list) 
 {
   struct ll *tail;
-  assert (!ll_is_empty (list));
+  Assert (!ll_is_empty (list));
   tail = ll_tail (list);
   ll_remove (tail);
   return tail;
Index: src/libpspp/llx.c
===================================================================
RCS file: /sources/pspp/pspp/src/libpspp/llx.c,v
retrieving revision 1.1
diff -U3 -r1.1 llx.c
--- src/libpspp/llx.c	1 Jul 2006 22:34:27 -0000	1.1
+++ src/libpspp/llx.c	4 Jul 2006 06:05:10 -0000
@@ -27,19 +27,14 @@
    coverage of lines and branches in this code, as reported by
    "gcov -b". */
 
-#ifdef HAVE_CONFIG_H
 #include <config.h>
-#endif
+#include <libpspp/Assert.h>
+
+#include "compiler.h"
 
 #include <libpspp/llx.h>
-#include <assert.h>
 #include <stdlib.h>
 
-#if __GNUC__ >= 2 && !defined UNUSED
-#define UNUSED __attribute__ ((unused))
-#else
-#define UNUSED
-#endif
 
 /* Destroys LIST and frees all of its nodes using MANAGER.
    If DESTRUCTOR is non-null, each node in the list will be
Index: src/libpspp/message.c
===================================================================
RCS file: /sources/pspp/pspp/src/libpspp/message.c,v
retrieving revision 1.4
diff -U3 -r1.4 message.c
--- src/libpspp/message.c	4 Jul 2006 04:39:04 -0000	1.4
+++ src/libpspp/message.c	4 Jul 2006 06:05:10 -0000
@@ -166,14 +166,6 @@
   fprintf(stderr,
     "******************************************************************\n");
 
-  abort();
-}
-
-void 
-msg_assert_fail(const char *expr, const char *file, int line)
-{
-  char msg[256];
-  snprintf(msg,256,"Assertion failed: %s:%d; (%s)",file,line,expr);
-  request_bug_report_and_abort( msg );
+  abort ();
 }
 
Index: src/libpspp/message.h
===================================================================
RCS file: /sources/pspp/pspp/src/libpspp/message.h,v
retrieving revision 1.11
diff -U3 -r1.11 message.h
--- src/libpspp/message.h	4 Jul 2006 04:39:04 -0000	1.11
+++ src/libpspp/message.h	4 Jul 2006 06:05:10 -0000
@@ -107,15 +107,6 @@
 
 
 /* Used in panic situations only. */
-void request_bug_report_and_abort (const char *msg);
-
-void msg_assert_fail (const char *expr, const char *file, int line);
-
-#undef __STRING
-#define __STRING(x) #x
-#undef assert
-			       
-#define assert(expr) ( (void) ( expr ? (void) 0 : \
-	       msg_assert_fail(__STRING(expr), __FILE__, __LINE__)) )
+void request_bug_report_and_abort (const char *msg) NO_RETURN ;
 
 #endif /* message.h */
Index: src/libpspp/pool.c
===================================================================
RCS file: /sources/pspp/pspp/src/libpspp/pool.c,v
retrieving revision 1.3
diff -U3 -r1.3 pool.c
--- src/libpspp/pool.c	8 May 2006 01:18:10 -0000	1.3
+++ src/libpspp/pool.c	4 Jul 2006 06:05:11 -0000
@@ -18,6 +18,8 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
+
 #include "pool.h"
 #include <stdlib.h>
 #include "alloc.h"
@@ -168,8 +170,8 @@
   struct pool *pool;
   char *struct_;
 
-  assert (struct_size >= sizeof pool);
-  assert (pool_member_offset <= struct_size - sizeof pool);
+  Assert (struct_size >= sizeof pool);
+  Assert (pool_member_offset <= struct_size - sizeof pool);
 
   pool = pool_create ();
   struct_ = pool_alloc (pool, struct_size);
@@ -239,7 +241,7 @@
 void *
 pool_alloc (struct pool *pool, size_t amt)
 {
-  assert (pool != NULL);
+  Assert (pool != NULL);
 
   if (amt == 0)
     return NULL;
@@ -295,7 +297,7 @@
 void *
 pool_alloc_unaligned (struct pool *pool, size_t amt)
 {
-  assert (pool != NULL);
+  Assert (pool != NULL);
 
 #ifndef DISCRETE_BLOCKS
   /* Strings need not be aligned on any boundary, but some
@@ -651,7 +653,7 @@
   struct pool *subpool;
   struct pool_gizmo *g;
 
-  assert (pool != NULL);
+  Assert (pool != NULL);
   subpool = pool_create ();
   subpool->parent = pool;
 
@@ -675,9 +677,9 @@
 {
   struct pool_gizmo *g;
 
-  assert (pool != NULL);
-  assert (subpool != NULL);
-  assert (subpool->parent == NULL);
+  Assert (pool != NULL);
+  Assert (subpool != NULL);
+  Assert (subpool->parent == NULL);
   
   g = pool_alloc (subpool, sizeof *g);
   g->type = POOL_GIZMO_SUBPOOL;
@@ -697,7 +699,7 @@
 {
   FILE *f;
 
-  assert (pool && file_name && mode);
+  Assert (pool && file_name && mode);
   f = fopen (file_name, mode);
   if (f == NULL)
     return NULL;
@@ -710,7 +712,7 @@
 int
 pool_fclose (struct pool *pool, FILE *file)
 {
-  assert (pool && file);
+  Assert (pool && file);
   pool_detach_file (pool, file);
   return fclose (file);
 }
@@ -764,7 +766,7 @@
 void
 pool_register (struct pool *pool, void (*free) (void *), void *p)
 {
-  assert (pool && free && p);
+  Assert (pool && free && p);
 
   {
     struct pool_gizmo *g = pool_alloc (pool, sizeof *g);
@@ -780,7 +782,7 @@
 int
 pool_unregister (struct pool *pool, void *p)
 {
-  assert (pool && p);
+  Assert (pool && p);
   
   {
     struct pool_gizmo *g;
@@ -803,7 +805,7 @@
 void
 pool_mark (struct pool *pool, struct pool_mark *mark)
 {
-  assert (pool && mark);
+  Assert (pool && mark);
 
   mark->block = pool->blocks;
   mark->ofs = pool->blocks->ofs;
@@ -818,7 +820,7 @@
 void
 pool_release (struct pool *pool, const struct pool_mark *mark)
 {
-  assert (pool && mark);
+  Assert (pool && mark);
   
   {
     struct pool_gizmo *cur, *next;
@@ -862,7 +864,7 @@
 static void
 add_gizmo (struct pool *pool, struct pool_gizmo *gizmo)
 {
-  assert (pool && gizmo);
+  Assert (pool && gizmo);
 
   gizmo->pool = pool;
   gizmo->next = pool->gizmos;
@@ -880,7 +882,7 @@
 static void
 delete_gizmo (struct pool *pool, struct pool_gizmo *gizmo)
 {
-  assert (pool && gizmo);
+  Assert (pool && gizmo);
 
   check_gizmo (pool, gizmo);
 
@@ -897,7 +899,7 @@
 static void
 free_gizmo (struct pool_gizmo *gizmo)
 {
-  assert (gizmo != NULL);
+  Assert (gizmo != NULL);
 
   switch (gizmo->type)
     {
@@ -915,7 +917,7 @@
       gizmo->p.registered.free (gizmo->p.registered.p);
       break;
     default:
-      assert (0);
+      AssertNotReached ();
     }
 }
 
@@ -936,9 +938,9 @@
 static void
 check_gizmo (struct pool *p, struct pool_gizmo *g) 
 {
-  assert (g->pool == p);
-  assert (g->next == NULL || g->next->prev == g);
-  assert ((g->prev != NULL && g->prev->next == g)
+  Assert (g->pool == p);
+  Assert (g->next == NULL || g->next->prev == g);
+  Assert ((g->prev != NULL && g->prev->next == g)
           || (g->prev == NULL && p->gizmos == g));
 
 }
Index: src/libpspp/str.c
===================================================================
RCS file: /sources/pspp/pspp/src/libpspp/str.c,v
retrieving revision 1.13
diff -U3 -r1.13 str.c
--- src/libpspp/str.c	9 Jun 2006 22:51:24 -0000	1.13
+++ src/libpspp/str.c	4 Jul 2006 06:05:11 -0000
@@ -18,6 +18,7 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
 
 #include "str.h"
 
@@ -197,7 +198,7 @@
 str_copy_trunc (char *dst, size_t dst_size, const char *src) 
 {
   size_t src_len = strlen (src);
-  assert (dst_size > 0);
+  Assert (dst_size > 0);
   if (src_len + 1 < dst_size)
     memcpy (dst, src, src_len + 1);
   else 
@@ -215,7 +216,7 @@
                     const char *src, size_t src_size) 
 {
   size_t dst_len;
-  assert (dst_size > 0);
+  Assert (dst_size > 0);
 
   dst_len = src_size < dst_size ? src_size : dst_size - 1;
   memcpy (dst, src, dst_len);
@@ -607,7 +608,7 @@
 ss_pointer_to_position (struct substring ss, const char *p)
 {
   size_t pos = p - ss.string;
-  assert (pos <= ss.length);
+  Assert (pos <= ss.length);
   return pos;
 }
 
Index: src/libpspp/str.h
===================================================================
RCS file: /sources/pspp/pspp/src/libpspp/str.h,v
retrieving revision 1.10
diff -U3 -r1.10 str.h
--- src/libpspp/str.h	9 Jun 2006 22:51:24 -0000	1.10
+++ src/libpspp/str.h	4 Jul 2006 06:05:11 -0000
@@ -20,7 +20,9 @@
 #if !str_h
 #define str_h 1
 
-#include <assert.h>
+#include <config.h>
+#include <libpspp/Assert.h>
+
 #include <stdarg.h>
 #include <stdbool.h>
 #include <stdio.h>
Index: src/math/coefficient.c
===================================================================
RCS file: /sources/pspp/pspp/src/math/coefficient.c,v
retrieving revision 1.2
diff -U3 -r1.2 coefficient.c
--- src/math/coefficient.c	19 May 2006 21:08:20 -0000	1.2
+++ src/math/coefficient.c	4 Jul 2006 06:05:11 -0000
@@ -21,6 +21,9 @@
 /*
   Accessor functions for matching coefficients and variables.
  */
+#include <config.h>
+#include <libpspp/Assert.h>
+
 #include <math/coefficient.h>
 #include <math/linreg/linreg.h>
 #include "src/math/design-matrix.h"
@@ -74,7 +77,7 @@
 				   interaction terms are written. 
 				 */
       coeff->v_info = xnmalloc (coeff->n_vars, sizeof (*coeff->v_info));
-      assert (coeff->v_info != NULL);
+      Assert (coeff->v_info != NULL);
       coeff->v_info->v =
 	(const struct variable *) design_matrix_col_to_var (X, i);
 
@@ -82,7 +85,7 @@
 	{
 	  size_t k;
 	  k = design_matrix_var_to_column (X, coeff->v_info->v);
-	  assert (k <= i);
+	  Assert (k <= i);
 	  k = i - k;
 	  coeff->v_info->val =
 	    cat_subscript_to_value (k, (struct variable *) coeff->v_info->v);
@@ -151,7 +154,7 @@
     {
       return NULL;
     }
-  assert (i < c->n_vars);
+  Assert (i < c->n_vars);
   return (c->v_info + i)->v;
 }
 
Index: src/math/coefficient.h
===================================================================
RCS file: /sources/pspp/pspp/src/math/coefficient.h,v
retrieving revision 1.4
diff -U3 -r1.4 coefficient.h
--- src/math/coefficient.h	5 Jun 2006 00:21:05 -0000	1.4
+++ src/math/coefficient.h	4 Jul 2006 06:05:11 -0000
@@ -22,7 +22,7 @@
 #ifndef COEFFICIENT_H
 #define COEFFICIENT_H
 
-#include <assert.h>
+#include <config.h>
 #include <math/linreg/linreg.h>
 #include <src/data/variable.h>
 #include <src/data/value.h>
Index: src/math/design-matrix.c
===================================================================
RCS file: /sources/pspp/pspp/src/math/design-matrix.c,v
retrieving revision 1.2
diff -U3 -r1.2 design-matrix.c
--- src/math/design-matrix.c	15 Mar 2006 03:29:11 -0000	1.2
+++ src/math/design-matrix.c	4 Jul 2006 06:05:11 -0000
@@ -21,6 +21,8 @@
   Create design matrices for procedures that need them.
 */
 #include <config.h>
+#include <libpspp/Assert.h>
+
 #include <stdlib.h>
 #include <libpspp/alloc.h>
 #include <libpspp/message.h>
@@ -106,7 +108,7 @@
   for (i = 0; i < n_variables; i++)
     {
       v = v_variables[i];
-      assert ((dm->vars + i) != NULL);
+      Assert ((dm->vars + i) != NULL);
       (dm->vars + i)->v = v;	/* Allows us to look up the variable from
 				   the design matrix. */
       (dm->vars + i)->first_column = n_cols;
@@ -117,7 +119,7 @@
 	}
       else if (v->type == ALPHA)
 	{
-	  assert (v->obs_vals != NULL);
+	  Assert (v->obs_vals != NULL);
 	  (dm->vars + i)->last_column =
 	    (dm->vars + i)->first_column + v->obs_vals->n_categories - 2;
 	  n_cols += v->obs_vals->n_categories - 1;
@@ -245,11 +247,11 @@
   size_t lc;
   double entry;
 
-  assert (var->type == ALPHA);
+  Assert (var->type == ALPHA);
   fc = design_matrix_var_to_column (dm, var);
   lc = dm_var_to_last_column (dm, var);
-  assert (lc != DM_COLUMN_NOT_FOUND);
-  assert (fc != DM_COLUMN_NOT_FOUND);
+  Assert (lc != DM_COLUMN_NOT_FOUND);
+  Assert (fc != DM_COLUMN_NOT_FOUND);
   is_one = fc + cat_value_find (var, val);
   for (col = fc; col <= lc; col++)
     {
@@ -263,8 +265,8 @@
 {
   size_t col;
 
-  assert (var->type == NUMERIC);
+  Assert (var->type == NUMERIC);
   col = design_matrix_var_to_column ((const struct design_matrix *) dm, var);
-  assert (col != DM_COLUMN_NOT_FOUND);
+  Assert (col != DM_COLUMN_NOT_FOUND);
   gsl_matrix_set (dm->m, row, col, val->f);
 }
Index: src/math/factor-stats.c
===================================================================
RCS file: /sources/pspp/pspp/src/math/factor-stats.c,v
retrieving revision 1.3
diff -U3 -r1.3 factor-stats.c
--- src/math/factor-stats.c	16 Apr 2006 01:05:15 -0000	1.3
+++ src/math/factor-stats.c	4 Jul 2006 06:05:11 -0000
@@ -30,14 +30,14 @@
 #include <stdlib.h>
 #include <math.h>
 #include <float.h>
-#include <assert.h>
+#include <libpspp/Assert.h>
 #include "histogram.h"
 
 
 void
 metrics_precalc(struct metrics *m)
 {
-  assert (m) ;
+  Assert (m) ;
 
   m->n_missing = 0;
 
@@ -90,7 +90,7 @@
 
       struct case_node *cn;
 
-      assert( (*wv)->v.f == val->f );
+      Assert ( (*wv)->v.f == val->f );
       (*wv)->w += weight;      
 
       cn = xmalloc ( sizeof *cn);
@@ -300,8 +300,8 @@
 
   int cmp0;
 
-  assert(f0);
-  assert(f1);
+  Assert (f0);
+  Assert (f1);
 
   cmp0 = compare_values(&f0->id[0], &f1->id[0], width);
 
Index: src/math/histogram.c
===================================================================
RCS file: /sources/pspp/pspp/src/math/histogram.c,v
retrieving revision 1.1
diff -U3 -r1.1 histogram.c
--- src/math/histogram.c	4 Mar 2006 01:11:57 -0000	1.1
+++ src/math/histogram.c	4 Jul 2006 06:05:11 -0000
@@ -20,7 +20,7 @@
 #include <config.h>
 #include <math.h>
 #include <gsl/gsl_histogram.h>
-#include <assert.h>
+#include <libpspp/Assert.h>
 #include "histogram.h"
 #include "chart-geometry.h"
 
Index: src/math/moments.c
===================================================================
RCS file: /sources/pspp/pspp/src/math/moments.c,v
retrieving revision 1.2
diff -U3 -r1.2 moments.c
--- src/math/moments.c	15 Mar 2006 03:29:11 -0000	1.2
+++ src/math/moments.c	4 Jul 2006 06:05:11 -0000
@@ -19,7 +19,7 @@
 
 #include <config.h>
 #include "moments.h"
-#include <assert.h>
+#include <libpspp/Assert.h>
 #include <math.h>
 #include <stdlib.h>
 #include <libpspp/alloc.h>
@@ -40,7 +40,7 @@
               double w, double d1, double d2, double d3, double d4,
               double *variance, double *skewness, double *kurtosis) 
 {
-  assert (w > 0.);
+  Assert (w > 0.);
 
   if (max_moment >= MOMENT_VARIANCE && w > 1.) 
     {
@@ -101,8 +101,8 @@
 static void
 init_moments (struct moments *m, enum moment max_moment)
 {
-  assert (m != NULL);
-  assert (max_moment == MOMENT_MEAN || max_moment == MOMENT_VARIANCE
+  Assert (m != NULL);
+  Assert (max_moment == MOMENT_MEAN || max_moment == MOMENT_VARIANCE
           || max_moment == MOMENT_SKEWNESS || max_moment == MOMENT_KURTOSIS);
   m->max_moment = max_moment;
   moments_clear (m);
@@ -141,8 +141,8 @@
 void
 moments_pass_one (struct moments *m, double value, double weight) 
 {
-  assert (m != NULL);
-  assert (m->pass == 1);
+  Assert (m != NULL);
+  Assert (m->pass == 1);
 
   if (value != SYSMIS && weight > 0.) 
     {
@@ -158,7 +158,7 @@
 {
   double d, d_power;
 
-  assert (m != NULL);
+  Assert (m != NULL);
 
   if (m->pass == 1) 
     {
@@ -209,7 +209,7 @@
                    double *mean, double *variance,
                    double *skewness, double *kurtosis) 
 {
-  assert (m != NULL);
+  Assert (m != NULL);
 
   if (mean != NULL)
     *mean = SYSMIS;
@@ -236,8 +236,8 @@
          don't support "online" computation during the second
          pass, so As a simple self-check, the total weight for
          the passes must agree. */
-      assert (m->pass == 2);
-      assert (m->w1 == m->w2);
+      Assert (m->pass == 2);
+      Assert (m->w1 == m->w2);
 
       if (m->w2 > 0.) 
         {
@@ -341,8 +341,8 @@
 static void
 init_moments1 (struct moments1 *m, enum moment max_moment)
 {
-  assert (m != NULL);
-  assert (max_moment == MOMENT_MEAN || max_moment == MOMENT_VARIANCE
+  Assert (m != NULL);
+  Assert (max_moment == MOMENT_MEAN || max_moment == MOMENT_VARIANCE
           || max_moment == MOMENT_SKEWNESS || max_moment == MOMENT_KURTOSIS);
   m->max_moment = max_moment;
   moments1_clear (m);
@@ -380,7 +380,7 @@
 void
 moments1_add (struct moments1 *m, double value, double weight) 
 {
-  assert (m != NULL);
+  Assert (m != NULL);
 
   if (value != SYSMIS && weight > 0.) 
     {
@@ -436,7 +436,7 @@
                     double *mean, double *variance,
                     double *skewness, double *kurtosis) 
 {
-  assert (m != NULL);
+  Assert (m != NULL);
 
   if (mean != NULL)
     *mean = SYSMIS;
Index: src/math/percentiles.c
===================================================================
RCS file: /sources/pspp/pspp/src/math/percentiles.c,v
retrieving revision 1.3
diff -U3 -r1.3 percentiles.c
--- src/math/percentiles.c	15 Mar 2006 03:29:11 -0000	1.3
+++ src/math/percentiles.c	4 Jul 2006 06:05:11 -0000
@@ -28,7 +28,7 @@
 #define _(msgid) gettext (msgid)
 #define N_(msgid) msgid
 
-#include <assert.h>
+#include <libpspp/Assert.h>
 
 
 struct ptile_params
@@ -126,7 +126,7 @@
    */
   if ( par->g2_star == 0 ) 
     {
-      assert(par->g2 == 0 );
+      Assert (par->g2 == 0 );
       return wv[par->k2]->v.f;
     }
 
@@ -219,7 +219,7 @@
 
   struct ptile_params pp;
 
-  assert( p <= 1.0);
+  Assert ( p <= 1.0);
 
   tc1 = w * p ;
   tc2 = (w + 1) * p ;
@@ -369,7 +369,7 @@
 
       if ( h[i] + 1 >= n_data )
       {
-	      assert( a_star < 1 ) ;
+	      Assert ( a_star < 1 ) ;
 	      hinge[i] = (1 - a_star) * wv[h[i]]->v.f;
 	      continue;
       }
@@ -396,8 +396,8 @@
       
     }
 
-  assert(hinge[0] <= hinge[1]);
-  assert(hinge[1] <= hinge[2]);
+  Assert (hinge[0] <= hinge[1]);
+  Assert (hinge[1] <= hinge[2]);
 
 }
 
